## CASCADE Option (cascade_option)

A CASCADE option (cascade_option) determines the deletion behavior for objects (e.g. tables, users). This means you define whether certain dependencies are to be taken into account when objects are deleted.

### Syntax

<cascade_option> ::= CASCADE | RESTRICT

### Explanation

CASCADE: Dependencies are not taken into account

RESTRICT: Dependencies are taken into account

##### SQL statements

DROP Definition

DROP SCHEMA Statement

DROP TABLE Statement

DROP USER Statement

DROP USERGROUP Statement

DROP VIEW Statement

REVOKE Statement

Referential CONSTRAINT Definition